aboutsummaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2020-12-16 08:57:05 -0500
committerB Stack <bgstack15@gmail.com>2020-12-16 08:57:05 -0500
commitf2b867ace911afa59e9205047435101bc6306ae8 (patch)
tree402071caf59a2bc089e303ea5f7978b64ed6c33b /debian/postinst
parentmove styles to Flask static/ dir (diff)
downloadhex-zero-f2b867ace911afa59e9205047435101bc6306ae8.tar.gz
hex-zero-f2b867ace911afa59e9205047435101bc6306ae8.tar.bz2
hex-zero-f2b867ace911afa59e9205047435101bc6306ae8.zip
add better debian install notes
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst20
1 files changed, 14 insertions, 6 deletions
diff --git a/debian/postinst b/debian/postinst
index ff6d28f..0e4f748 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -19,15 +19,23 @@ case "$1" in
--gecos "0x0 system user" \
${USERNAME} > ${OUT}
fi
- if ! test -r /var/www/hex-zero/db.sqlite || test $( stat -c "%s" /var/www/hex-zero/db.sqlite 2>/dev/null ) -lt 50 ;
- then
- echo "Initializing sqlite database for hex-zero"
- su ${USER} -c 'cd /var/www/hex-zero ; /var/www/hex-zero/hex_zero.py db init' 2>/dev/null || :
- su ${USER} -c 'cd /var/www/hex-zero ; /var/www/hex-zero/hex_zero.py db upgrade'
- fi
chown ${USERNAME}:${USERNAME} \
${HOME} ${HOME}/* \
/var/log/hex-zero /var/log/hex-zero/*log 1>/${OUT} 2>&1 || :
+ if ! test -r /var/www/hex-zero/db.sqlite || test $( stat -c "%s" /var/www/hex-zero/db.sqlite 2>/dev/null ) -lt 50 ;
+ then
+ # detect if short_url exists for the user
+ result="$( su ${USERNAME} -c 'echo "import short_url" | python3 1>/dev/null 2>&1 && echo good || echo bad' )"
+ if test "${result}" = "bad" ;
+ then
+ echo "Please install python3 module short_url for user ${USERNAME}, and re-run \`sudo dpkg-reconfigure hex-zero\` Using the following command would work."
+ echo " sudo su ${USERNAME} -c 'pip3 install --user short_url'"
+ else
+ echo "Initializing sqlite database for hex-zero"
+ su ${USERNAME} -c 'cd /var/www/hex-zero ; /var/www/hex-zero/hex_zero.py db init' 2>/dev/null || :
+ su ${USERNAME} -c 'cd /var/www/hex-zero ; /var/www/hex-zero/hex_zero.py db upgrade'
+ fi
+ fi
;;
abort-upgrade|abort-remove|abort-deconfigure)
bgstack15